Bug 132304

Summary: ports/devel/dbus misses /var/db/dbus/machine-id in diskless environment
Product: Ports & Packages Reporter: Ralf Wenk <IZ-FreeBSD0902-nospam>
Component: Individual Port(s)Assignee: freebsd-gnome (Nobody) <gnome>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Ralf Wenk 2009-03-04 09:20:01 UTC
	Searching why firefox 2 stops working after a big portupgrade
	(up from 2009017) with the message:

process 946: D-Bus library appears to be incorrectly set up; failed to read machine uuid: Failed to open "/var/db/dbus/machine-id": No such file or directory
See the manual page for dbus-uuidgen to correct this issue.
  D-Bus not compiled with backtrace support so unable to print a backtrace

	I found that this file ist generated by dbus-uuidgen during the
	execution of pkg-install in ports/devel/dbus.
	For our diskless machines /var is set up by /etc/rc.d/var which
	results in a non existing directory /var/db/dbus. Fixed that
	there is no automatically setup for /var/db/dbus/machine-id
	as dbus-uuidgen is only executed during pkg-install.

Fix: 

I think the easiest way should be to add code to /usr/local/etc/rc.d/dbus
	to make the directory and than call dbus-uuidgen --ensure.
	This will not fix applications using dbus methods if dbus is not running. 
	To fix that, and possible other diskless setup problems with ports, it
	may be neccessary to install a "/usr/local/etc/rc.d/diskless" which
	handles that.
How-To-Repeat: 	See the code from /etc/rc.d/var, ports/devel/dbus/pkg-install and
	/usr/local/etc/rc.d/dbus. Or set up a diskless machine and look
	into /var/db.
Comment 1 Edwin Groothuis freebsd_committer 2009-03-04 09:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2010-10-17 10:40:31 UTC
State Changed
From-To: open->closed
Comment 3 Koop Mast freebsd_committer 2010-10-17 10:47:22 UTC
State Changed
From-To: closed->patched

Patched in Marcuscom CVS. Using a patch from ports/151331.
Comment 4 dfilter service freebsd_committer 2010-10-22 23:32:25 UTC
kwm         2010-10-22 22:32:20 UTC

  FreeBSD ports repository

  Modified files:
    devel/dbus           Makefile distinfo 
    devel/dbus/files     dbus.in patch-dbus-1.pc.in 
                         patch-dbus_dbus-connection.c 
  Removed files:
    devel/dbus/files     patch-bus_dir-watch-kqueue.c 
  Log:
  Update to 1.4.0.
  
  Fix dbus launch on diskless systems [1]
  
  PR:             ports/151331 [1], ports/132304
  Submitted by:   Zane C.B. <vvelox@vvelox.net> [1]
  
  Revision  Changes    Path
  1.80      +3 -3      ports/devel/dbus/Makefile
  1.32      +3 -3      ports/devel/dbus/distinfo
  1.17      +7 -0      ports/devel/dbus/files/dbus.in
  1.2       +0 -11     ports/devel/dbus/files/patch-bus_dir-watch-kqueue.c (dead)
  1.5       +4 -5      ports/devel/dbus/files/patch-dbus-1.pc.in
  1.2       +14 -12    ports/devel/dbus/files/patch-dbus_dbus-connection.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Koop Mast freebsd_committer 2010-10-22 23:34:31 UTC
State Changed
From-To: patched->closed

Fix committed.